Get Backup
Use this endpoint to get backup by id
Authorized Roles : PROVIDER or ORG_ADMIN or ORG_USER
Request
URI
GET
https://{api_host}/provider/backups/{id}
COPY
Path Parameters
string
id
Required
ID of the backup
Responses
200
OK
Returns
BackupDTO
of type(s)
application/vnd.vmware.dms-v1+json
{
"backupId": "string",
"backupChainId": "string",
"backupName": "string",
"backupInstanceType": "string",
"backupChainStatus": "string",
"autoBackupsOfSourceDbEnabled": false,
"metaData": "string",
"metaDataType": "string",
"s3Path": "string",
"isLocalAvailable": false,
"localStatus": "string",
"isCloudAvailable": false,
"cloudStatus": "string",
"snapshotCreationTime": "string",
"user": {
"id": 0,
"firstName": "string",
"lastName": "string",
"contactNumber": "string",
"email": "string",
"password": "string",
"tenantId": "string",
"companyName": "string",
"type": "string",
"roles": [
"string"
],
"forcePasswordChange": false,
"links": [
{
"rel": "string",
"href": "string",
"hreflang": "string",
"media": "string",
"title": "string",
"type": "string",
"deprecation": "string",
"profile": "string",
"name": "string"
}
]
},
"tenantId": "string",
"environmentId": "string",
"protectionId": "string",
"dataStoreMor": "string",
"logicalBuildId": "string",
"dbId": "string",
"dbInstanceName": "string",
"sourceDBExists": false,
"dbRole": "string",
"namespace": {
"id": "string",
"name": "string"
},
"automated": false,
"links": [
{
"rel": "string",
"href": "string",
"hreflang": "string",
"media": "string",
"title": "string",
"type": "string",
"deprecation": "string",
"profile": "string",
"name": "string"
}
]
}
string As uuid
As uuid
backupId
Optional
backupId
string As uuid
As uuid
backupChainId
Optional
backupChainId
string
backupName
Optional
backupName
string
backupInstanceType
Optional
backupInstanceType
string
backupChainStatus
Optional
backupChainStatus
boolean
autoBackupsOfSourceDbEnabled
Optional
autoBackupsOfSourceDbEnabled
string
metaData
Optional
metaData
string
metaDataType
Optional
metaDataType
string
s3Path
Optional
s3Path
boolean
isLocalAvailable
Optional
isLocalAvailable
string
localStatus
Optional
localStatus
boolean
isCloudAvailable
Optional
isCloudAvailable
string
cloudStatus
Optional
cloudStatus
string
snapshotCreationTime
Optional
snapshotCreationTime
string As uuid
As uuid
tenantId
Optional
tenantId
string As uuid
As uuid
environmentId
Optional
environmentId
string As uuid
As uuid
protectionId
Optional
protectionId
string
dataStoreMor
Optional
dataStoreMor
string As uuid
As uuid
logicalBuildId
Optional
logicalBuildId
string As uuid
As uuid
dbId
Optional
dbId
string
dbInstanceName
Optional
dbInstanceName
boolean
sourceDBExists
Optional
sourceDBExists
string
dbRole
Optional
dbRole
Possible values are :
STAND_ALONE,
PRIMARY,
READ_REPLICA,
PG_MONITOR,
boolean
automated
Optional
automated
400
Bad Request
Operation doesn't return any data structure
404
Not found
Operation doesn't return any data structure